Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSServerMBean

public interface JMSServerMBean
extends DeploymentMBean, JMSConstants

This MBean defines a JMS Server.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addDestination(JMSDestinationMBean destination)` Add a JMS destination to the JMS server.
`boolean` | `addSessionPool(JMSSessionPoolMBean sessionPool)` Add a session pool to the JMS server.
`long` | `getBytesMaximum()` Returns the value of BytesMaximum.
`long` | `getBytesThresholdHigh()` Returns the value of BytesThresholdHigh.
`long` | `getBytesThresholdLow()` Returns the value of BytesThresholdLow
`JMSDestinationMBean[]` | `getDestinations()` Return map containing all defined destinations and their associated JNDI names.
`long` | `getMessagesMaximum()` Returns the value of MessagesMaximum.
`long` | `getMessagesThresholdHigh()` Returns the value of MessagesThresholdHigh.
`long` | `getMessagesThresholdLow()` Returns the value of MessagesThresholdLow
`JMSStoreMBean` | `getPagingStore()` Get the paging store for the JMS server.
`JMSSessionPoolMBean[]` | `getSessionPools()` Get all the session pools defined for the JMS server.
`JMSStoreMBean` | `getStore()` Get the persistent store for the JMS server.
`JMSTemplateMBean` | `getTemporaryTemplate()` Return the temporary template for the JMS server.
`boolean` | `isBytesPagingEnabled()` Check if BytesPagingEnabled is set.
`boolean` | `isMessagesPagingEnabled()` Check if MessagesPagingEnabled is set.
`boolean` | `removeDestination(JMSDestinationMBean destination)` Removes a destination from the JNDI tree.
`boolean` | `removeSessionPool(JMSSessionPoolMBean sessionPool)` Remove a session pool from the JMS server.
`void` | `setBytesMaximum(long bytesMaximum)` Set the value of BytesMaximum.
`void` | `setBytesPagingEnabled(boolean enabled)` Set BytesPagingEnabled for the JMS server.
`void` | `setBytesThresholdHigh(long bytesThresholdHigh)` Set the value of BytesThresholdHigh.
`void` | `setBytesThresholdLow(long bytesThresholdLow)` Set the value of BytesThresholdLow.
`void` | `setDestinations(JMSDestinationMBean[] destinations)` Set all defined destinations for the JMS server.
`void` | `setMessagesMaximum(long messagesMaximum)` Set the value of MessagesMaximum.
`void` | `setMessagesPagingEnabled(boolean enabled)` Set MessagesPagingEnabled for the JMS server.
`void` | `setMessagesThresholdHigh(long messagesThresholdHigh)` Set the value of MessagesThresholdHigh.
`void` | `setMessagesThresholdLow(long messagesThresholdLow)` Set the value of MessagesThresholdLow.
`void` | `setPagingStore(JMSStoreMBean store)` Set the paging store for the JMS server.
`void` | `setSessionPools(JMSSessionPoolMBean[] sessionPools)` Set all the session pools defined for the JMS server.
`void` | `setStore(JMSStoreMBean store)` Set the persistent store for the JMS server.
`void` | `setTemporaryTemplate(JMSTemplateMBean temporaryTemplate)` Set the temporary template that is used to create all temporary destinations on this JMS server.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getSessionPools

    public JMSSessionPoolMBean[] getSessionPools()

  Get all the session pools defined for the JMS server.

  A non-configurable MBean attribute.

### setSessionPools

    public void setSessionPools(JMSSessionPoolMBean[] sessionPools)
                         throws javax.management.InvalidAttributeValueException

  Set all the session pools defined for the JMS server.

### addSessionPool

    public boolean addSessionPool(JMSSessionPoolMBean sessionPool)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a session pool to the JMS server.

  A dynamic MBean attribute
  Parameters:
    `sessionPool` - the sessionPool to add to the JMS server

### removeSessionPool

    public boolean removeSessionPool(JMSSessionPoolMBean sessionPool)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Remove a session pool from the JMS server.

  A dynamic MBean attribute
  Parameters:
    `sessionPool` - the sessionPool to remove from the JMS server
  Throws:
    java.lang.IllegalArgumentException - if the sessionPool does not exist.

### getDestinations

    public JMSDestinationMBean[] getDestinations()

  Return map containing all defined destinations and their associated JNDI names.

  A non-configurable MBean attribute.

### setDestinations

    public void setDestinations(JMSDestinationMBean[] destinations)
                         throws javax.management.InvalidAttributeValueException

  Set all defined destinations for the JMS server.

### addDestination

    public boolean addDestination(JMSDestinationMBean destination)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a JMS destination to the JMS server.

  A dynamic MBean attribute
  Parameters:
    `destination` - the destination to be added to the JMS server
  Throws:
    java.lang.IllegalArgumentException - if destination is null or exists

### removeDestination

    public boolean removeDestination(JMSDestinationMBean destination)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Removes a destination from the JNDI tree.

  A dynamic MBean attribute
  Parameters:
    `destination` - the destination to be removed from the JMS server
  Throws:
    java.lang.IllegalArgumentException - if destination is null or does not exist

### getStore

    public JMSStoreMBean getStore()

  Get the persistent store for the JMS server.

  A persistent store may only be used by one JMS server. A value of none specifies that no persistent messaging is supported. If no persistent store is specified, then destinations on this JMS server will not support persistent messages or durable subscribers.

### setStore

    public void setStore(JMSStoreMBean store)
                  throws javax.management.InvalidAttributeValueException

  Set the persistent store for the JMS server.

  A persistent store may only be used by one JMS server. A value of none specifies that no persistent messaging is supported. If no persistent store is specified, then destinations on this JMS server will not support persistent messages or durable subscribers.

  Default Value: null
  Legal Value: ((value == void)?(true):(weblogic.management.configuration.JMSLegalHelper.isUnowned(self, value)))

### getTemporaryTemplate

    public JMSTemplateMBean getTemporaryTemplate()

  Return the temporary template for the JMS server.

  The name of an existing JMS template used to create all temporary destinations, including temporary queues and temporary topics. The attribute values for a temporary destination are derived from this JMS template. If provided as part of the template, the Store attribute values are ignored because temporary destinations do not support persistent messaging.

  Note: If this attribute is set to none, attempts to create a temporary destination (queue or topic) will fail.

### setTemporaryTemplate

    public void setTemporaryTemplate(JMSTemplateMBean temporaryTemplate)
                              throws javax.management.InvalidAttributeValueException

  Set the temporary template that is used to create all temporary destinations on this JMS server.

  The name of an existing JMS template used to create all temporary destinations, including temporary queues and temporary topics. The attribute values for a temporary destination are derived from this JMS template. If provided as part of the template, the Store attribute values are ignored because temporary destinations do not support persistent messaging.

  Note: If this attribute is set to none, attempts to create a temporary destination (queue or topic) will fail.

  Default Value: null
  Parameters:
    `temporaryTemplate` - the temporary template for the JMS server

### getBytesMaximum

    public long getBytesMaximum()

  Returns the value of BytesMaximum.

  The maximum number of bytes that may be stored in the JMS server. A value of -1 specifies that there is no limit on the number of bytes that can be stored in the JMS server.

  Range of Values: >= BytesThresholdHigh

  This attribute is dynamically configurable.

### setBytesMaximum

    public void setBytesMaximum(long bytesMaximum)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Set the value of BytesMaximum.

  The maximum number of bytes that may be stored in the JMS server. A value of -1 specifies that there is no limit on the number of bytes that can be stored in the JMS server.

  Range of Values: >= BytesThresholdHigh

  This attribute is dynamically configurable.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && ( ((weblogic.management.configuration.JMSServerMBean)self).getBytesThresholdHigh() <= value) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getBytesThresholdHigh

    public long getBytesThresholdHigh()

  Returns the value of BytesThresholdHigh.

  Upper threshold value that triggers events based on the number of bytes stored in the JMS server. If the number of bytes exceeds this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating a high threshold condition.

  Bytes Paging - If bytes paging is enabled (and a paging store has been configured), then server bytes paging is started.

  Flow Control - If flow control is enabled, the JMS server becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: <= BytesMaximum; >BytesThresholdLow

  This attribute is dynamically configurable.

  Note: Bytes paging cannot be dynamically disabled by resetting the BytesThresholdHigh to -1. To disable paging, you could set the BytesThresholdHigh to a very large number, so that paging would not be triggered.

### setBytesThresholdHigh

    public void setBytesThresholdHigh(long bytesThresholdHigh)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Set the value of BytesThresholdHigh.

  Upper threshold value that triggers events based on the number of bytes stored in the JMS server. If the number of bytes exceeds this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating a high threshold condition.

  Bytes Paging - If bytes paging is enabled (and a paging store has been configured), then server bytes paging is started.

  Flow Control - If flow control is enabled, the JMS server becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: <= BytesMaximum; >BytesThresholdLow

  This attribute is dynamically configurable.

  Note: Bytes paging cannot be dynamically disabled by resetting the BytesThresholdHigh to -1. To disable paging, you could set the BytesThresholdHigh to a very large number, so that paging would not be triggered.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value > ((weblogic.management.configuration.JMSServerMBean)self).getBytesThresholdLow()) && ((((weblogic.management.configuration.JMSServerMBean)self).getBytesMaximum() == -1) || (value <= ((weblogic.management.configuration.JMSServerMBean)self).getBytesMaximum())) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getBytesThresholdLow

    public long getBytesThresholdLow()

  Returns the value of BytesThresholdLow

  Lower threshold value that triggers events based on the number of bytes stored in the JMS server. If the number of bytes falls below this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  Bytes Paging - If bytes paging is enabled, paging is stopped (if paging is occurring).

  Flow Control - If flow control is enabled, the JMS server becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: < BytesThresholdHigh

  This attribute is dynamically configurable.

### setBytesThresholdLow

    public void setBytesThresholdLow(long bytesThresholdLow)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Set the value of BytesThresholdLow.

  Lower threshold value that triggers events based on the number of bytes stored in the JMS server. If the number of bytes falls below this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  Bytes Paging - If bytes paging is enabled, paging is stopped (if paging is occurring).

  Flow Control - If flow control is enabled, the JMS server becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: < BytesThresholdHigh

  This attribute is dynamically configurable.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (( ((weblogic.management.configuration.JMSServerMBean)self).getBytesThresholdHigh() == -1) || (value < ((weblogic.management.configuration.JMSServerMBean)self).getBytesThresholdHigh())))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMessagesMaximum

    public long getMessagesMaximum()

  Returns the value of MessagesMaximum.

  The maximum number of messages that may be stored in the JMS server. A value of -1 specifies that there is no limit on the number of messages that can be stored in the JMS server.

  This attribute is dynamically configurable.

  Range of Values: >= MessagesThresholdHigh

### setMessagesMaximum

    public void setMessagesMaximum(long messagesMaximum)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Set the value of MessagesMaximum.

  The maximum number of messages that may be stored in the JMS server. A value of -1 specifies that there is no limit on the number of messages that can be stored in the JMS server.

  This attribute is dynamically configurable.

  Range of Values: >= MessagesThresholdHigh This attribute is dynamically configurable.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((weblogic.management.configuration.JMSServerMBean)self).getMessagesThresholdHigh() <= value) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMessagesThresholdHigh

    public long getMessagesThresholdHigh()

  Returns the value of MessagesThresholdHigh.

  Upper threshold value that triggers events based on the number of messages stored in the JMS server. If the number of messages exceeds this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating a high threshold condition.

  Messages Paging - If messages paging is enabled (and a paging store has been configured), then server messages paging is started.

  Flow Control - If flow control is enabled, the JMS server becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: <= MessagesMaximum; >MessagesThresholdLow

  This attribute is dynamically configurable.

  Note: Messages paging cannot be dynamically disabled by resetting the MessagesThresholdHigh to -1. To disable paging, you could set the MessagesThresholdHigh to a very large number, so that paging would not be triggered.

### setMessagesThresholdHigh

    public void setMessagesThresholdHigh(long messagesThresholdHigh)
                                  throws javax.management.InvalidAttributeValueException

  Set the value of MessagesThresholdHigh.

  Upper threshold value that triggers events based on the number of messages stored in the JMS server. If the number of messages exceeds this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating a high threshold condition.

  Messages Paging - If messages paging is enabled (and a paging store has been configured), then server messages paging is started.

  Flow Control - If flow control is enabled, the JMS server becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: <= MessagesMaximum; >MessagesThresholdLow

  This attribute is dynamically configurable.

  Note: Messages paging cannot be dynamically disabled by resetting the MessagesThresholdHigh to -1. To disable paging, you could set the MessagesThresholdHigh to a very large number, so that paging would not be triggered.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value > ((weblogic.management.configuration.JMSServerMBean)self).getMessagesThresholdLow()) && ((((weblogic.management.configuration.JMSServerMBean)self).getMessagesMaximum() == -1) || (value <= ((weblogic.management.configuration.JMSServerMBean)self).getMessagesMaximum())) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMessagesThresholdLow

    public long getMessagesThresholdLow()

  Returns the value of MessagesThresholdLow

  Lower threshold value that triggers events based on the number of messages stored in the JMS server. If the number of messages falls below this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  Messagse Paging - If messages paging is enabled, paging is stopped (if paging is occurring).

  Flow Control - If flow control is enabled, the JMS server becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: < MessagesThresholdHigh

  This attribute is dynamically configurable.

### setMessagesThresholdLow

    public void setMessagesThresholdLow(long messagesThresholdLow)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  Set the value of MessagesThresholdLow.

  Lower threshold value that triggers events based on the number of messages stored in the JMS server. If the number of messages falls below this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  Messages Paging - If messages paging is enabled, paging is stopped (if paging is occurring).

  Flow Control - If flow control is enabled, the JMS server becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: < MessagesThresholdHigh

  This attribute is dynamically configurable.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((weblogic.management.configuration.JMSServerMBean)self).getMessagesThresholdHigh() == -1 || value < ((weblogic.management.configuration.JMSServerMBean)self).getMessagesThresholdHigh()) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getPagingStore

    public JMSStoreMBean getPagingStore()

  Get the paging store for the JMS server.

  The name of the persistent store where non-persistent messages are paged for the JMS server. A paging store cannot be the same store used for persistent messages or durable subscribers.

  A paging store may only be used by one JMS server. A value of none specifies that message paging is not supported. If no paging store is specified, then the server and destinations will not support message paging.

  Note: Using a JDBC store is not recommended for paging since the amount of traffic and subsequent lack of performance would make such a configuration undesirable.

### setPagingStore

    public void setPagingStore(JMSStoreMBean store)
                        throws javax.management.InvalidAttributeValueException

  Set the paging store for the JMS server.

  The name of the persistent store where non-persistent messages are paged for the JMS server. A paging store cannot be the same store used for persistent messages or durable subscribers.

  A paging store may only be used by one JMS server. A value of none specifies that message paging is not supported. If no paging store is specified, then the server and destinations will not support message paging.

  Note: Using a JDBC store is not recommended for paging since the amount of traffic and subsequent lack of performance would make such a configuration undesirable.

  Default Value: null
  Legal Value: ((value == void)?(true):(weblogic.management.configuration.JMSLegalHelper.isUnowned(self, value)))

### isMessagesPagingEnabled

    public boolean isMessagesPagingEnabled()

  Check if MessagesPagingEnabled is set.

  Flag for specifying whether or not messages paging is enabled on the JMS server:

  - If this flag is not selected (false), then server messages paging is explicitly disabled.

  - If this flag is selected (true), a paging store has been configured, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then server messages paging is enabled.

  - If either the MessagesThresholdLow or MessagesThresholdHigh attribute is undefined, or defined as -1, then server messages paging is implicitly disabled--even though this flag is selected.

### setMessagesPagingEnabled

    public void setMessagesPagingEnabled(boolean enabled)
                                  throws javax.management.InvalidAttributeValueException

  Set MessagesPagingEnabled for the JMS server.

  Flag for specifying whether or not messages paging is enabled on the JMS server:

  - If this flag is not selected (false), then server messages paging is explicitly disabled.

  - If this flag is selected (true), a paging store has been configured, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then server messages paging is enabled.

  - If either the MessagesThresholdLow or MessagesThresholdHigh attribute is undefined, or defined as -1, then server messages paging is implicitly disabled--even though this flag is selected.

  Default Value: false

### isBytesPagingEnabled

    public boolean isBytesPagingEnabled()

  Check if BytesPagingEnabled is set.

  Flag for specifying whether or not bytes paging is enabled on the JMS server:

  - If this flag is not selected (false), then server bytes paging is explicitly disabled.

  - If this flag is selected (true), a paging store has been configured, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then server bytes paging is enabled.

  - If either the BytesThresholdLow or BytesThreshold Highattribute is undefined, or defined as -1, then server bytes paging is implicitly disabled--even though this flag is selected.

### setBytesPagingEnabled

    public void setBytesPagingEnabled(boolean enabled)
                               throws javax.management.InvalidAttributeValueException

  Set BytesPagingEnabled for the JMS server.

  Flag for specifying whether or not bytes paging is enabled on the JMS server:

  - If this flag is not selected (false), then server bytes paging is explicitly disabled.

  - If this flag is selected (true), a paging store has been configured, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then server bytes paging is enabled.

  - If either the BytesThresholdLow or BytesThreshold Highattribute is undefined, or defined as -1, then server bytes paging is implicitly disabled--even though this flag is selected.

  Default Value: false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference